net::PortForwardingInfo Struct Reference

Port forwarding info. More...

`import"Net.idl";`

## Public Attributes

boolean | enabled
| `true` if port forwarding is enabled
boolean | nodeIndexValid
| `true` if nodeIndex is valid
int | nodeIndex
| Index of the node in the port forwarding cascade.
boolean | slaveConnected
| `true` if this node has a slave connected
string | masterDownstreamIfName
| Master downstream interface (usb: any USB iface) More...
vector< PortForwardingMasterAddrInfo > | masterIPv4AddrInfos
| Master address info for IPv4.
vector< PortForwardingMasterAddrInfo > | masterIPv6AddrInfos
| Master address info for IPv6.

## Detailed Description

Port forwarding info.

## Member Data Documentation

## masterDownstreamIfName

string net::PortForwardingInfo::masterDownstreamIfName

Master downstream interface (usb: any USB iface)

the first entry of each vector has the default route set (if default route is set at all)

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/Net.idl